<?php

/*
** Автор кода: Евгений (rnddev)
** ICQ: 448235
** Email: rnddev@mail.ru
** Skype: rnddev
** Все права принадлежат автору.
** Модефикация и продажа запрещены.
*/

define('ACCESS', TRUE);

define('R', $_SERVER['DOCUMENT_ROOT']);
require_once R.'/system/bootstrap.php';

$id = abs(intval($_GET['id']));

$mov = $db->prepare("SELECT * FROM video WHERE id = :id LIMIT 1", array(':id' => $id));
$row = $mov->fetch();

$tpl->getHead(htmlspecialchars($row['name']));

if($row['id']) {

echo '<div class="content">',
	 '<img src="/files/screen/'.$row['screen'].'" alt=""/>',
	 '</div>';
	 
echo '<div class="content">',
	 'Название: '.htmlspecialchars($row['name']).'<br/>',
	 'Длительность: '.Main::timeleft($row['timeleft']).'<br/>',
	 'Добавлен: '.Main::display_time($row['date_upload']).'<br/>';
	 
if($row['view_count'] !== '0') echo 'Проосмотров: '.$row['view_count'].'<br/>';
if($row['load_count'] !== '0') echo 'Скачиваний: '.$row['load_count'].'<br/>';
if($row['last_load'] !== '0') echo 'Последнее: '.Main::display_time($row['last_load']).'<br/>';
if($row['about'] !== '') echo 'Описание: '.htmlspecialchars($row['about']).'<br/>';

if( ! $_COOKIE['like_'.$row['id']]) echo '<a href="'.HOST.'/view/'.$row['id'].'/like/">Мне нравится <b>'.$row['like_count'].'</b></a>';
else echo 'Понравилось <b>'.$row['like_count'].'</b>';

echo '</div>';

$sql = $db->prepare("SELECT cat.name, cat.id
					 FROM category cat 
					 INNER JOIN contact cont 
					 ON (cat.id = cont.id_category) 
					 WHERE cont.id_video = :id", 
					 array(':id' => $row['id']));
					 
if($sql->fetch() !== false) {
					 
echo '<div class="content">Категории:<br/>';

while($cat = $sql->fetch()) { echo '<a href="'.HOST.'/category/'.$cat['id'].'/">'.$cat['name'].'</a>, ';}

echo '</div>';

}

echo '<div class="content">Скачать видео: <br/><table>';
echo '<td><a class="button" href="'.HOST.'/download/mp4/'.$row['id'].'/">MP4 ('.Main::size($row['size_mp4']).')</a></td>',
	 '<td><a class="button" href="'.HOST.'/download/3gp/'.$row['id'].'/">3GP ('.Main::size($row['size_3gp']).')</a></td>';
echo '</table></div>';
	 
if( ! $_COOKIE['view_'.$row['id']]) {
	$db->prepare("UPDATE video SET view_count = view_count + 1 WHERE id = :id", array(':id' => $row['id']));
	setcookie('view_'.$row['id'], $row['id'], time() + 3600 * 24 * 365, '/');
}

switch($_GET['act']):

	case 'like':

		if( ! $_COOKIE['like_'.$row['id']]) {
			$db->prepare("UPDATE video SET like_count = like_count + 1 WHERE id = :id", array(':id' => $id));
			setcookie('like_'.$row['id'], $row['id'], time() + 3600 * 24 * 365, '/');
			header('Location: '.HOST.'/view/'.$row['id'].'/');
			exit;
		}

	break;

endswitch;

} else {
	echo '<div class="content">Файл не найден</div>';
}

$tpl->getFoot();