<?php

/*
** Автор кода: Евгений (rnddev)
** ICQ: 448235
** Email: rnddev@mail.ru
** Skype: rnddev
** Все права принадлежат автору.
** Модефикация и продажа запрещены.
*/

define('ACCESS', TRUE);

define('R', $_SERVER['DOCUMENT_ROOT']);
require_once R.'/system/bootstrap.php';

$tpl->getHead('Менеджер категорий');

if($admin) {
	
	echo '<div class="content">';
	
	if (isset($_POST['submit'])) {
		
		$error = null;
	
		if(empty($_POST['name'])) $error .= 'Вы не ввели название категории<br/>';
		elseif (strlen($_POST['name']) < 3 || strlen($_POST['name']) > 64) $error .= 'Название может содержать от 3 до 64 символов<br/>';
		if ( ! Main::input($_POST['name'], 'TEXT')) $error .= 'В названии разрешены: '. Main::input('', 'TEXT', 'format') .'<br/>';

		if (isset($error)) {
			echo '<div class="error">'.$error.'</div>';
		} else {
			$db->prepare("INSERT INTO category(name) VALUES(:name)", array(':name' => $_POST['name']));
			header('Refresh: 3; url='.$_SERVER['PHP_SELF']);
			echo '<div class="title">Категория создана</div>';
		}
	}
		
	echo '<form action="" method="POST">',
		 'Добавить категорию:<br/>',
		 '<input class="input" type="text" name="name"/><br/>',
		 '<input class="submit" type="submit" name="submit" value="Добавить категорию"/>',
		 '</form>';
		 
	echo '</div>';
		
	$navi  = new Pagination;
	$query = $db->prepare("SELECT COUNT(*) as count FROM category");
	$colp = $query->fetch(PDO::FETCH_OBJ)->count;
	$k_page = $navi->k_page($colp, PAGESTR); 
	$page = $navi->page($k_page);
	define('START', (PAGESTR * $page - PAGESTR));

	$sql = $db->prepare("SELECT * FROM category ORDER BY id DESC LIMIT  ".START.", ".PAGESTR);

	echo '<div class="content">';
	
	if($colp !== '0') {

		while($row = $sql->fetch()) {
		
			echo $row['name'].' (<a href="'.ADMPANEL.'/category/del/'.$row['id'].'/">удалить</a>)<br/>';
			
		}
		
	} else { echo 'Категории пока не созданы!'; }
	
	echo '</div>';
	
	if ($k_page > 1) $navi->navig('/root/category', $k_page, $page);
	
	switch($_GET['act']):
	
		case 'del':
		
			$id = abs(intval($_GET['id']));
			
			$db->prepare("DELETE FROM category WHERE id = :id LIMIT 1", array(':id' => $id));
			$db->prepare("DELETE FROM contact WHERE id_category = :id", array(':id' => $id));

			header('Refresh: 3; url='.$_SERVER['PHP_SELF']);
			
			echo '<div class="content"><div class="title">Категория удалена</div></div>';
			
		break;
	
	endswitch;
	
	echo '<div class="content"><a href="'.ADMPANEL.'/">Назад в панель</a></div>';

} else {
	header('Location: /');
	exit;
}

$tpl->getFoot();