<?php

/*
** Автор кода: Евгений (rnddev)
** ICQ: 448235
** Email: rnddev@mail.ru
** Skype: rnddev
** Все права принадлежат автору.
** Модефикация и продажа запрещены.
*/

define('ACCESS', TRUE);

define('R', $_SERVER['DOCUMENT_ROOT']);
require_once R.'/system/bootstrap.php';

$tpl->getHead('Менеджер видео');

if($admin) {

	switch($_GET['act']):
	
		default:
		
			$navi  = new Pagination;
			$query = $db->prepare("SELECT COUNT(*) as count FROM video");
			$colp = $query->fetch(PDO::FETCH_OBJ)->count;
			$k_page = $navi->k_page($colp, PAGESTR); 
			$page = $navi->page($k_page);
			define('START', (PAGESTR * $page - PAGESTR));

			$sql = $db->prepare("SELECT * FROM video ORDER BY id DESC LIMIT  ".START.", ".PAGESTR);
			
			echo '<div class="content">';
			
			if($colp !== '0') {

				while($row = $sql->fetch()) {

					echo '<table><td>',
						 '<div class="videoBox">',
						 '<div class="img">',
						 '<img src="/files/screen/'.$row['screen'].'" alt=""/>',
						 '<div class="info"><span>'.$row['view_count'].'</span>'.Main::timeleft($row['timeleft']).'</div>',
						 '</div></td><td>',
						 'Название: '.$row['name'].'<br/>',
						 'Размер:<br/>MP4: '.Main::size($row['size_mp4']).'<br/> 3GP: '.Main::size($row['size_3gp']).'<br/>',
						 '<a href="'.ADMPANEL.'/manager/edit/'.$row['id'].'/">Редактировать</a><br/>',
						 '<a href="'.ADMPANEL.'/manager/del/'.$row['id'].'/">Удалить</a>',
						 '</div></td></table>';
				}
				
			} else { echo 'Видео файлов еще нет'; }
			
			echo '</div>';

			if ($k_page > 1) $navi->navig('/root/manager', $k_page, $page);
		
		break;
		
		case 'edit':
		
			echo '<div class="content">';
		
			$id = abs(intval($_GET['id']));
				
			if (isset($_POST['submit'])) {
				
				$error = null;
			

				if (empty($_POST['name'])) $error .= 'Введите имя файла!<br/>';
				elseif ( ! Main::input($_POST['name'], 'TEXT')) $error .= 'В названии разрешены: '. Main::input('', 'TEXT', 'format') .'<br/>';
				if ( ! Main::input($_POST['about'], 'TEXT')) $error .= 'В описании разрешены: '. Main::input('', 'TEXT', 'format') .'<br/>';

				if (isset($error)) {
					echo '<div class="error">'.$error.'</div>';
				} else {
					$db->prepare("UPDATE video SET name = ?, about = ? WHERE id = ?", array($_POST['name'], $_POST['about'], $id));
					header('Refresh: 3; url='.$_SERVER['PHP_SELF']);
					echo '<div class="title">Информация обновлена!</div>';
				}
			}
			
				$sql = $db->prepare("SELECT * FROM video WHERE id = :id LIMIT 1", array(':id' => $id));
				$row = $sql->fetch();
			
			echo '<form action="" method="POST">',
				 'Имя файла:<br/><input type="text" name="name" value="'.htmlspecialchars($row['name']).'" maxlength="64"/><br/>',
				 'Описание файла:<br/><textarea name="about">'.htmlspecialchars($row['about']).'</textarea><br/>',
				 '<input type="submit" name="submit" value="Изменить"/>',
				 '</form>';
				 
			echo '</div>';
		
		break;
		
		case 'del':
		
			echo '<div class="content">';
			
			$id = intval($_GET['id']);
			
			if (isset($_POST['ok'])) {
			
			$sql = $db->prepare("SELECT * FROM video WHERE id = :id LIMIT 1", array(':id' => $id));
			$row = $sql->fetch();
			
			unlink(FILES.'/video/'.$row['filename'].'.mp4');
			unlink(FILES.'/video/'.$row['filename'].'.3gp');
			unlink(FILES.'/screen/'.$row['screen']);
			
			$db->prepare("DELETE FROM video WHERE id = :id", array(':id' => $id));
			$db->prepare("DELETE FROM contact WHERE id_video = :id", array(':id' => $id));
			
			header('Refresh: 3; url='.$_SERVER['PHP_SELF']);		
			echo '<div class="title">Видео удалено!</div>';
			
			}
			
			echo '<form action="" method="POST">',
				 'Вы точно хотите удалить файл?<br/>',
				 '<input type="submit" name="ok" value="Да хочу!"/>',
				 '<a href="'.ADMPANEL.'/manager/">Нет передумал</a>',
				 '</form>';
		
			echo '</div>';
			
		break;
	
	endswitch;

	echo '<div class="content"><a href="'.ADMPANEL.'/">Назад в панель</a></div>';



} else {
	header('Location: /');
	exit;
}

$tpl->getFoot();