<?php

/*
** Автор кода: Евгений (rnddev)
** ICQ: 448235
** Email: rnddev@mail.ru
** Skype: rnddev
** Все права принадлежат автору.
** Модефикация и продажа запрещены.
*/

defined('ACCESS') or die('Error => Access');

# основные константы
define('ROOT', $_SERVER['DOCUMENT_ROOT']);
define('SYSTEM', ROOT.'/system');
define('CLASSES', ROOT.'/system/classes');
define('FILES', ROOT.'/files');

define('HOST', 'http://'.$_SERVER['HTTP_HOST']);
define('ADMPANEL', HOST.'/root');

# конфигурации
require_once SYSTEM.'/config.php';

# автоподгрузка класов
spl_autoload_register('loader');

function loader($name) {
	$file = CLASSES.'/'.$name.'.php';
	if (file_exists($file)) require_once($file);
	else exit('ERROR::Components '.$name.' not found!');
}

# стартуем сессии
ob_start();	
session_start();

# подготовим классы
$db = DataBase::Instance();
$tpl = new Template;

# чекаем сессию админа
function check_admin($logged) {
	$auth = explode(':', base64_decode($logged));
	if($auth[0] == LOGIN && $auth[1] == md5(PASSWORD))
		return true;
	else 
		return false;	
}

# инициализируем функцию
$admin = check_admin($_COOKIE['logged']);